import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        class?: string;
        color?: import("../../..").SvelteUIColor;
        items?: {
            label: string;
            value: string;
        }[];
        value?: string[];
        label?: string;
        size?: import("../../..").SvelteUISize;
        radius?: import("../../..").SvelteUINumberSize;
        direction?: "column" | "row";
        align?: import("@stitches/core/types/css").Property.AlignItems | import("@stitches/core/types/css").Globals | import("@stitches/core/types/theme").ScaleValue | import("@stitches/core/types/util").Index;
        spacing?: import("../../..").SvelteUINumberSize;
        wrapperProps?: Record<string, any>;
        className?: string;
        override?: import("../../..").CSS;
        element?: HTMLElement;
        use?: import("../../../internal/utils/forwarding/forward-actions").ActionArray;
        m?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        my?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mx?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mt?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mb?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        ml?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mr?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        p?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        py?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        px?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pt?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pb?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pl?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pr?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type CheckboxGroupProps = typeof __propDef.props;
export declare type CheckboxGroupEvents = typeof __propDef.events;
export declare type CheckboxGroupSlots = typeof __propDef.slots;
/**
 * A checkbox group component using the theme styles and builds a set of checkboxes according to
 * the items passed.
 *
 * @see https://svelteui.org/core/checkbox
 * @example
 * ```svelte
 * <CheckboxGroup bind:value items={items} />
 * <CheckboxGroup label={"Choose your favorite framework"} description={"Choose carefuly"} bind:value={value} items={items} />
 * <CheckboxGroup bind:value={value} items={items} direction={'column'}/>
 * ```
 */
export default class CheckboxGroup extends SvelteComponentTyped<CheckboxGroupProps, CheckboxGroupEvents, CheckboxGroupSlots> {
}
export {};
