import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        class?: string;
        src?: string;
        overridePlaceholder?: import("../../..").CSS;
        radius?: import("../../..").SvelteUINumberSize;
        alt?: string;
        fit?: "contain" | "cover";
        width?: string | number;
        height?: string | number;
        caption?: string;
        usePlaceholder?: boolean;
        loader?: boolean;
        className?: string;
        override?: import("../../..").CSS;
        element?: HTMLElement;
        use?: import("../../../internal/utils/forwarding/forward-actions").ActionArray;
        m?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        my?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mx?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mt?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mb?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        ml?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        mr?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        p?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        py?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        px?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pt?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pb?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pl?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
        pr?: import("../../..").SvelteUINumberSize | (string & Record<never, never>);
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type BackgroundImageProps = typeof __propDef.props;
export declare type BackgroundImageEvents = typeof __propDef.events;
export declare type BackgroundImageSlots = typeof __propDef.slots;
/**
 * BackgroundImage component can be used to add any content on image. It is useful for hero headers and other similar sections
 *
 * @see https://svelteui.org/core/image
 * @example
 *    ```svelte
 * 	<script>
 * 		const src = 'https://images.unsplash.com/photo-1649014048485-590f93c42936?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=987&q=80'
 * 	</script>
 *
 * 	<BackgroundImage radius="sm" {src}>
 * 		This content will be shown over the image
 * 	</BackgroundImage>
 *    ```
 *
 * It is suggested to wrap your component in a container element
 */
export default class BackgroundImage extends SvelteComponentTyped<BackgroundImageProps, BackgroundImageEvents, BackgroundImageSlots> {
}
export {};
