import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        class?: svelte.JSX.HTMLAttributes<T>;
        increment?: () => void;
        decrement?: () => void;
        value?: number;
        defaultValue?: number;
        invalid?: boolean;
        decimalSeparator?: string;
        max?: number;
        min?: number;
        step?: number;
        stepHoldDelay?: number;
        stepHoldInterval?: number | ((step: number) => number);
        hideControls?: boolean;
        overrideControls?: import("../..").CSS;
        precision?: number;
        noClampOnBlur?: boolean;
        formatter?: import("./NumberInput.styles").Formatter;
        parser?: import("./NumberInput.styles").Parser;
    };
    events: {
        change: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type NumberInputProps = typeof __propDef.props;
export declare type NumberInputEvents = typeof __propDef.events;
export declare type NumberInputSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Number input component that allows inputting numbers and incremeting/decrementing them, as well as set steps, minimum and maximum
 * values and add custom parsers and formatters.
 *
 * @see https://svelteui.org/core/number-input
 * @example
 *    ```svelte
 *    <NumberInput defaultValue={2} />
 * <NumberInput max={10} min={0} step={0.5} precision={1} />
 * <NumberInput defaultValue={0} step={0.2} precision={2} decimalSeparator="," />
 * <NumberInput label='Your age' required defaultValue={0} />
 *    ```
 */
export default class NumberInput extends SvelteComponentTyped<NumberInputProps, NumberInputEvents, NumberInputSlots> {
    get increment(): () => void;
    get decrement(): () => void;
}
export {};
