import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        class?: string;
        align?: import("../..").SvelteUITextAlignment;
        color?: import("./Text.styles").TextColors;
        root?: import("../../internal").LiteralUnion<typeof import("svelte").SvelteComponent | keyof HTMLElementTagNameMap, string>;
        transform?: import("../..").SvelteUITextTransform;
        variant?: import("./Text.styles").TextVariant;
        size?: import("../..").SvelteUINumberSize;
        weight?: import("../..").SvelteUINumberFontSize;
        gradient?: import("../..").SvelteUIGradient;
        inline?: boolean;
        lineClamp?: number;
        underline?: boolean;
        inherit?: boolean;
        href?: string;
        tracking?: import("./Text.styles").Tracking;
        className?: string;
        override?: import("../..").CSS;
        element?: HTMLElement;
        use?: import("../../internal/utils/forwarding/forward-actions").ActionArray;
        m?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        my?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mx?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mt?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mb?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        ml?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mr?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        p?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        py?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        px?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pt?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pb?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pl?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pr?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TextProps = typeof __propDef.props;
export declare type TextEvents = typeof __propDef.events;
export declare type TextSlots = typeof __propDef.slots;
/**
 * Display text and links with theme styles.
 *
 * @see https://svelteui.org/core/text
 * @example
 *    ```tsx
 *    <Text size='lg'>This is a text</Text> // standard text component
 *    <Text size='lg' variant='gradient' gradient={{from: 'blue', to: 'red', deg: 45}}>This is a text with colours</Text> // text with gradient colors
 *    <Text component={'span'}>Span text</Text> // text being used with a 'span' as wrapper
 *    <Text component={Code}>Code text</Text> // text being used with the component Code as wrapper
 *    ```
 */
export default class Text extends SvelteComponentTyped<TextProps, TextEvents, TextSlots> {
}
export {};
