import { SvelteComponentTyped } from "svelte";
export declare const ctx = "Timeline";
declare const __propDef: {
    props: {
        class?: string;
        active?: number;
        align?: "left" | "right";
        bulletSize?: number;
        radius?: import("../..").SvelteUINumberSize;
        color?: import("../..").SvelteUIColor;
        lineWidth?: number;
        reverseActive?: boolean;
        className?: string;
        override?: import("../..").CSS;
        element?: HTMLElement;
        use?: import("../../internal/utils/forwarding/forward-actions").ActionArray;
        m?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        my?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mx?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mt?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mb?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        ml?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        mr?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        p?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        py?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        px?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pt?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pb?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pl?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
        pr?: import("../..").SvelteUINumberSize | (string & Record<never, never>);
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TimelineProps = typeof __propDef.props;
export declare type TimelineEvents = typeof __propDef.events;
export declare type TimelineSlots = typeof __propDef.slots;
/**
 * **UNSTABLE:** new API, yet to be vetted.
 *
 * Display list of events in chronological order
 *
 * @see https://svelteui.org/core/timeline
 * @example
 *    ```svelte
 *    <Timeline>
 *      <Timeline.Item>
 * 	...
 *   </Timeline.Item>
 *      <Timeline.Item>
 * 	...
 *   </Timeline.Item>
 *   ...
 *    </Timeline>
 *
 * <Timeline active={1} bulletSize={30} align='right' reverseActive>
 *        ...
 *    </Timeline>
 *    ```
 */
export default class Timeline extends SvelteComponentTyped<TimelineProps, TimelineEvents, TimelineSlots> {
}
export {};
