import { fade, blur, fly, slide, scale, draw } from 'svelte/transition';
import type { TransitionConfig, EasingFunction } from 'svelte/transition';
import type { FadeParams, BlurParams, FlyParams, SlideParams, ScaleParams, DrawParams } from 'svelte/transition';
export declare type TransitionName = 'fade' | 'blur' | 'fly' | 'slide' | 'scale' | 'draw';
export declare type Transition = typeof fade | typeof blur | typeof fly | typeof slide | typeof scale | typeof draw;
export declare type TransitionOptions = FadeParams | BlurParams | FlyParams | SlideParams | ScaleParams | DrawParams | TransitionParams;
interface TransitionParams {
    delay?: number;
    duration?: number;
    easing?: EasingFunction;
    css?: (t: number, u: number) => string;
    tick?: (t: number, u: number) => void;
}
export declare function getTransition(name: TransitionName | ((node: Element, params: TransitionParams) => TransitionConfig)): Transition;
export {};
